package main

import (
	"log"
	"os"

	"git.luj0ga.de/franconian/matrix-pretix/internal/config"
	"git.luj0ga.de/franconian/matrix-pretix/internal/matrix"
)

func main() {
	if len(os.Args) != 2 {
		log.Fatal("missing config file path")
	}

	config, err := config.ParseFromFile(os.Args[1])
	if err != nil {
		log.Fatal(err)
	}

	client, err := matrix.NewClient(&config.Matrix)
	if err != nil {
		log.Fatal(err)
	}
	_ = client
}
